[ProSavage KM133] Runs in low resolution(800x600) instead of 1024x768 (no EDID)

Bug #325408 reported by tcodau on 2009-02-04
6
Affects Status Importance Assigned to Milestone
xserver-xorg-video-savage (Ubuntu)
Undecided
Tormod Volden

Bug Description

Binary package hint: xserver-xorg-video-savage

The ''xserver-xorg-video-savage'' driver is installed by default but my ''S3 Inc. ProSavage KM133 (rev 03)'' graphic card isn't detected and ubuntu/kubuntu/xubuntu(both 8.10 and 9.04) run in low resolutin(800x600) instead of 1024x768. From /etc/X11/xorg.conf results this:________
Section "Device"
 Identifier "Configured Video Device"
EndSection

Section "Monitor"
 Identifier "Configured Monitor"
EndSection

Section "Screen"
 Identifier "Default Screen"
 Monitor "Configured Monitor"
 Device "Configured Video Device"
EndSection __________

I have this problem also with other very recent linux distros(but not ubuntu 8.04).
More info(on the ubuntu version that I use now):
1)Ubuntu jaunty (development branch)
Release: 9.04
2)xserver-xorg-video-savage version 1:2.2.1-3build1
3)I want that the graphic card is automatically configured and the 1024x768 resolution works again
4)The graphic card isn't detected and ubuntu run in low resolution mode(800x600).
PS:the answer received here don't work https://answers.launchpad.net/ubuntu/+source/xorg/+question/59532.

ProblemType: Bug
Architecture: i386
DistroRelease: Ubuntu 9.04
Package: xserver-xorg-video-savage 1:2.2.1-3build1
ProcEnviron:
 LANG=it_IT.UTF-8
 SHELL=/bin/bash
SourcePackage: xserver-xorg-video-savage
Uname: Linux 2.6.28-6-generic i686

[lspci]

[lspci]
00:00.0 Host bridge [0600]: VIA Technologies, Inc. VT8363/8365 [KT133/KM133] [1106:0305] (rev 81)
     Subsystem: ASUSTeK Computer Inc. Device [1043:8041]
01:00.0 VGA compatible controller [0300]: S3 Inc. ProSavage KM133 [5333:8a26] (rev 03)
     Subsystem: ASUSTeK Computer Inc. Device [1043:8041]

Revision history for this message
tcodau (tcodau) wrote :
Revision history for this message
Buz Cory (buzco) wrote :

Prior discussion of this is on Q#59532 (https://answers.launchpad.net/ubuntu/+source/xorg/+question/59532)
The part about no autodetection is at least partially correct, I do not know that the savage drivers were or were not ever installed. In my own case (see below) installing the driver also set up the X config to use those drivers. AFAIK tcodau never took the actions I suggested to find out or fix the problem.

I had a similar problem on my HP laptop complicated by winding up w/ multiple initrd images (8.10 server and generic) and a fix w/ either one broke the other :( and that I got bad advice that an apt install of the restricted drivers for my nVidia video chip would not work.

You will notice that I told tcodau how to identify the problem and then told him the same thing he reported here about the config file having no real specs in it.

More below,
== Buz

Revision history for this message
Buz Cory (buzco) wrote :

IMHO, proper and adequate detection and support of all possible hardware on a system is a huge problem that M$ solves by requiring that HW vendors supply (at their own cost) the necessary SW to go w/ their HW.

After I committed myself to further comment, I decided that this is not the proper venue for what I wished to say.

I think, however, that putting much attention on failure to fully set up for optimum operation should have low priority.

More elsewhere,
== Buz :)

Revision history for this message
Tormod Volden (tormodvolden) wrote :

The savage driver crash in Jaunty has now been fixed, so please try again with alpha-6 (or beta next week). Then attach your new Xorg.0.log

description: updated
Changed in xserver-xorg-video-savage (Ubuntu):
assignee: nobody → tormodvolden
status: New → Incomplete
Bryce Harrington (bryce) on 2009-04-21
description: updated
Revision history for this message
tcodau (tcodau) wrote :

Now my graphic card is detected but I'd like a resolution of 1024x768.
Please update ubuntu so I can set a resolution of 1024x768.
PS: I've attached my new Xorg.0.log .
Thanks!

Revision history for this message
Tormod Volden (tormodvolden) wrote :

Please run "apport-collect 325408" to attach more information.

summary: - The ''xserver-xorg-video-savage'' driver is installed by default but my
- ''S3 Inc. ProSavage KM133 (rev 03)'' graphic card isn't detected and
- ubuntu/xubuntu run in low resolutin(800x600) instead of 1024x768
+ Runs in low resolution(800x600) instead of 1024x768
description: updated
Revision history for this message
Tormod Volden (tormodvolden) wrote : Re: Runs in low resolution(800x600) instead of 1024x768

It seems like the monitor does not report which resolutions it can use, and the driver falls back to a "safe" resolution. What kind of monitor is this, and how is it connected? Please see also https://wiki.ubuntu.com/X/Troubleshooting/Resolution on "Problem: Autodetection results in reduced resolutions available".

Revision history for this message
tcodau (tcodau) wrote : apport-collect data

Architecture: i386
DistroRelease: Ubuntu 9.04
Package: xserver-xorg-video-savage 1:2.2.1-4ubuntu2
PackageArchitecture: i386
ProcEnviron:
 SHELL=/bin/bash
 LANG=it_IT.UTF-8
ProcVersion: Linux version 2.6.28-11-generic (buildd@palmer) (gcc version 4.3.3 (Ubuntu 4.3.3-5ubuntu4) ) #42-Ubuntu SMP Fri Apr 17 01:57:59 UTC 2009
Uname: Linux 2.6.28-11-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Revision history for this message
tcodau (tcodau) wrote :
Revision history for this message
tcodau (tcodau) wrote :
Revision history for this message
tcodau (tcodau) wrote :
Revision history for this message
tcodau (tcodau) wrote :
Revision history for this message
tcodau (tcodau) wrote :
Revision history for this message
tcodau (tcodau) wrote :
Revision history for this message
tcodau (tcodau) wrote :
Revision history for this message
tcodau (tcodau) wrote :
Revision history for this message
tcodau (tcodau) wrote :
Revision history for this message
tcodau (tcodau) wrote :
Revision history for this message
tcodau (tcodau) wrote :
Revision history for this message
tcodau (tcodau) wrote :
Revision history for this message
tcodau (tcodau) wrote :
Bryce Harrington (bryce) on 2009-05-06
description: updated
Revision history for this message
Luigi Maselli (grigio) wrote : Re: Runs in low resolution(800x600) instead of 1024x768

I fixed this issue in jaunty forcing the savage driver in the xorg.conf
by default vesa is used

Revision history for this message
Tormod Volden (tormodvolden) wrote :

Luigi, please file a new bug so that we can fix your issue properly.

Bryce Harrington (bryce) on 2009-09-02
tags: added: kubuntu
Revision history for this message
alex wiik (alex-wiik) wrote : apport-collect data

Architecture: i386
DistroRelease: Ubuntu 9.04
Package: xserver-xorg-video-savage 1:2.2.1-4ubuntu2
PackageArchitecture: i386
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
ProcVersion: Linux version 2.6.28-15-generic (buildd@palmer) (gcc version 4.3.3 (Ubuntu 4.3.3-5ubuntu4) ) #49-Ubuntu SMP Tue Aug 18 18:40:08 UTC 2009
Uname: Linux 2.6.28-15-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Revision history for this message
Tormod Volden (tormodvolden) wrote : Re: Runs in low resolution(800x600) instead of 1024x768

tcodau,
It seems like the monitor does not report which resolutions it can use, and the driver falls back to a "safe" resolution. What kind of monitor is this, and how is it connected? Please see also https://wiki.ubuntu.com/X/Troubleshooting/Resolution on "Problem: Autodetection results in reduced resolutions available".

Revision history for this message
Rodrigo (rodrsouza) wrote : apport-collect data

Architecture: i386
CurrentDmesg:
 [ 22.832710] [drm] Initialized drm 1.1.0 20060810
 [ 22.836845] pci 0000:01:00.0: PCI INT A -> Link[LNKA] -> GSI 11 (level, low) -> IRQ 11
 [ 22.837094] [drm] Initialized savage 2.4.1 20050313 for 0000:01:00.0 on minor 0
 [ 27.692091] eth0: no IPv6 routers present
DistroRelease: Ubuntu 9.10
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
Lsusb:
 Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 003 Device 002: ID 1366:0101
 Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
MachineType: ECS M925
Package: xserver-xorg-video-savage 1:2.3.0-1ubuntu1
PackageArchitecture: i386
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-19-generic root=UUID=3837c399-6320-46f0-a658-e36aeb978b5a ro quiet splash
ProcEnviron:
 SHELL=/bin/bash
 LANG=pt_BR.UTF-8
 LANGUAGE=pt_BR.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-19.56-generic
RelatedPackageVersions:
 xserver-xorg 1:7.4+3ubuntu10
 libgl1-mesa-glx 7.6.0-1ubuntu4
 libdrm2 2.4.14-1ubuntu1
 xserver-xorg-video-intel 2:2.9.0-1ubuntu2.1
 xserver-xorg-video-ati 1:6.12.99+git20090929.7968e1fb-0ubuntu1
Uname: Linux 2.6.31-19-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
XorgConf: Error: [Errno 2] No such file or directory: '/etc/X11/xorg.conf'
XsessionErrors:
 (gnome-settings-daemon:1508): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (nautilus:1563): Eel-CRITICAL **: eel_preferences_get_boolean: assertion `preferences_is_initialized ()' failed
 (polkit-gnome-authentication-agent-1:1594): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed
 (firefox:1825): GLib-WARNING **: g_set_prgname() called multiple times
dmi.bios.date: 04/02/01
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 07.00T
dmi.board.name: M925
dmi.board.vendor: ECS
dmi.board.version: 1.0
dmi.chassis.asset.tag: 0123ABC
dmi.chassis.type: 3
dmi.chassis.vendor: ECS
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr07.00T:bd04/02/01:svnECS:pnM925:pvr1.0:rvnECS:rnM925:rvr1.0:cvnECS:ct3:cvr1.0:
dmi.product.name: M925
dmi.product.version: 1.0
dmi.sys.vendor: ECS
fglrx: Not loaded
system:
 distro: Ubuntu
 architecture: i686kernel: 2.6.31-19-generic

Revision history for this message
Rodrigo (rodrsouza) wrote : BootDmesg.txt
Revision history for this message
Rodrigo (rodrsouza) wrote : Dependencies.txt
Revision history for this message
Rodrigo (rodrsouza) wrote : Lspci.txt
Revision history for this message
Rodrigo (rodrsouza) wrote : PciDisplay.txt
Revision history for this message
Rodrigo (rodrsouza) wrote : ProcCpuinfo.txt
Revision history for this message
Rodrigo (rodrsouza) wrote : ProcInterrupts.txt
Revision history for this message
Rodrigo (rodrsouza) wrote : ProcModules.txt
Revision history for this message
Rodrigo (rodrsouza) wrote : UdevDb.txt
Revision history for this message
Rodrigo (rodrsouza) wrote : UdevLog.txt
Revision history for this message
Rodrigo (rodrsouza) wrote : XorgLog.txt
Revision history for this message
Rodrigo (rodrsouza) wrote : XorgLogOld.txt
Revision history for this message
Rodrigo (rodrsouza) wrote : Xrandr.txt
Revision history for this message
Rodrigo (rodrsouza) wrote : glxinfo.txt
Revision history for this message
Rodrigo (rodrsouza) wrote : monitors.xml.txt
Revision history for this message
Rodrigo (rodrsouza) wrote : setxkbmap.txt
Revision history for this message
Rodrigo (rodrsouza) wrote : xdpyinfo.txt
Revision history for this message
Rodrigo (rodrsouza) wrote : xkbcomp.txt
Changed in xserver-xorg-video-savage (Ubuntu):
status: Incomplete → New
tags: added: apport-collected
Revision history for this message
Tormod Volden (tormodvolden) wrote : Re: Runs in low resolution(800x600) instead of 1024x768

Rodrigo, same issue as tcodau, the frequency ranges can not be retrieved from the monitor over DDC, so the xserver uses the default (very conservative) ones. Can anyone figure out if DDC / EDID ever worked on your machine with Linux or another operating system?

Revision history for this message
Tormod Volden (tormodvolden) wrote :

Please force the vesa driver, so we can check if that driver is able to read out the correct monitor frequency ranges.

Revision history for this message
Bryce Harrington (bryce) wrote :

Hi tcodau,

        Thank you for taking the time to report this bug and helping to make Ubuntu better. You reported this bug a while ago and there hasn't been any activity in it recently. We were wondering is this still an issue for you? Can you try with the latest development release of Ubuntu? (ISO CD images are available from http://cdimage.ubuntu.com/releases/)

        If it remains an issue, could you also attach a new /var/log/Xorg.0.log?
        Thanks in advance.

    [This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: needs-verification
Changed in xserver-xorg-video-savage (Ubuntu):
status: New → Incomplete
Revision history for this message
jezahel (jezahel05) wrote : apport-collect data

Architecture: i386
DistroRelease: Ubuntu 9.04
Package: xserver-xorg-video-savage 1:2.2.1-4ubuntu2
PackageArchitecture: i386
ProcEnviron:
 SHELL=/bin/bash
 LANG=es_MX.UTF-8
ProcVersion: Linux version 2.6.28-19-server (buildd@rothera) (gcc version 4.3.3 (Ubuntu 4.3.3-5ubuntu4) ) #65-Ubuntu SMP Thu Sep 16 15:15:59 UTC 2010
Uname: Linux 2.6.28-19-server i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
XorgConf:

Revision history for this message
jezahel (jezahel05) wrote :

Architecture: i386
DistroRelease: Ubuntu 9.04
Package: xserver-xorg-video-savage 1:2.2.1-4ubuntu2
PackageArchitecture: i386
ProcEnviron:
 PATH=(custom, no user)
 LANG=es_MX.UTF-8
 SHELL=/bin/bash
ProcVersion: Linux version 2.6.28-19-server (buildd@rothera) (gcc version 4.3.3 (Ubuntu 4.3.3-5ubuntu4) ) #65-Ubuntu SMP Thu Sep 16 15:15:59 UTC 2010
Uname: Linux 2.6.28-19-server i686
UserGroups:

XorgConf:

summary: - Runs in low resolution(800x600) instead of 1024x768
+ [ProSavage KM133] Runs in low resolution(800x600) instead of 1024x768
summary: [ProSavage KM133] Runs in low resolution(800x600) instead of 1024x768
+ (no EDID)
bugbot (bugbot) on 2011-04-28
tags: added: xubuntu
tags: added: jaunty
Revision history for this message
Timo Aaltonen (tjaalton) wrote :

​​​​this driver has been removed from Ubuntu, closing the bugs

Changed in xserver-xorg-video-savage (Ubuntu):
status: Incomplete → Won't Fix
To post a comment you must log in.